# List all realtime transfers

**GET** `/transfers/realtime`

Retrieve all realtime transfers under your platform.

### Query Parameters

- `bank_account_id` `string` — Filter realtime transfers by bank account ID.
- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `is_incoming` `boolean` — Filter for incoming realtime transfers only.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/transfers/realtime' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "transfers": [
    {
      "accepted_at": "2023-12-29T19:45:11Z",
      "account_number_id": "acno_2XrFelm5efqwGkPsu3B1DtSEDDg",
      "allow_overdraft": false,
      "amount": 10000,
      "bank_account_id": "bacc_2XrFelZxSUOXXTswfr0h9KByzNp",
      "blocked_at": null,
      "completed_at": "2023-12-29T19:45:13Z",
      "counterparty_id": "cpty_2aELmewqaBj5Bp6oraJ7Pl6LH1p",
      "ultimate_debtor_counterparty_id": null,
      "currency_code": "USD",
      "description": "Example realtime transfer",
      "id": "rttr_2aEM6RbzozxcvVY11ArHJw1Ka4E",
      "idempotency_key": null,
      "initiated_at": "2023-12-29T19:45:10Z",
      "is_incoming": false,
      "is_on_us": false,
      "manual_review_approved_at": null,
      "manual_review_at": null,
      "manual_review_rejected_at": null,
      "pending_at": null,
      "rejected_at": null,
      "rejection_code": null,
      "rejection_code_description": null,
      "rejection_additional_info": null,
      "status": "completed",
      "return_pair_transfer_id": "rttr_2ipl7TLOLY0Kyv5flfi2NHAIqJm"
    }
  ],
  "has_more": true
}
```
